/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.ArCos: ImageVector
    get() {
        if (_arCos != null) {
            return _arCos!!
        }
        _arCos = Builder(name = "ArCos", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.4464f, 11.5037f)
                curveTo(6.4197f, 11.5404f, 6.3931f, 11.5687f, 6.3664f, 11.5887f)
                curveTo(6.3397f, 11.6087f, 6.3031f, 11.6187f, 6.2564f, 11.6187f)
                curveTo(6.2064f, 11.6187f, 6.1514f, 11.5987f, 6.0914f, 11.5587f)
                curveTo(6.0314f, 11.5154f, 5.9564f, 11.4687f, 5.8664f, 11.4187f)
                curveTo(5.7797f, 11.3687f, 5.6714f, 11.3237f, 5.5414f, 11.2837f)
                curveTo(5.4147f, 11.2404f, 5.2581f, 11.2187f, 5.0714f, 11.2187f)
                curveTo(4.8214f, 11.2187f, 4.6014f, 11.2637f, 4.4114f, 11.3537f)
                curveTo(4.2214f, 11.4404f, 4.0614f, 11.567f, 3.9314f, 11.7337f)
                curveTo(3.8047f, 11.9004f, 3.7081f, 12.102f, 3.6414f, 12.3387f)
                curveTo(3.5781f, 12.5754f, 3.5464f, 12.8404f, 3.5464f, 13.1337f)
                curveTo(3.5464f, 13.4404f, 3.5814f, 13.7137f, 3.6514f, 13.9537f)
                curveTo(3.7214f, 14.1904f, 3.8197f, 14.3904f, 3.9464f, 14.5537f)
                curveTo(4.0764f, 14.7137f, 4.2314f, 14.837f, 4.4114f, 14.9237f)
                curveTo(4.5947f, 15.007f, 4.7997f, 15.0487f, 5.0264f, 15.0487f)
                curveTo(5.2431f, 15.0487f, 5.4214f, 15.0237f, 5.5614f, 14.9737f)
                curveTo(5.7014f, 14.9204f, 5.8164f, 14.862f, 5.9064f, 14.7987f)
                curveTo(5.9997f, 14.7354f, 6.0764f, 14.6787f, 6.1364f, 14.6287f)
                curveTo(6.1997f, 14.5754f, 6.2614f, 14.5487f, 6.3214f, 14.5487f)
                curveTo(6.3947f, 14.5487f, 6.4514f, 14.577f, 6.4914f, 14.6337f)
                lineTo(6.7414f, 14.9587f)
                curveTo(6.6314f, 15.0954f, 6.5064f, 15.212f, 6.3664f, 15.3087f)
                curveTo(6.2264f, 15.4054f, 6.0747f, 15.487f, 5.9114f, 15.5537f)
                curveTo(5.7514f, 15.617f, 5.5831f, 15.6637f, 5.4064f, 15.6937f)
                curveTo(5.2297f, 15.7237f, 5.0497f, 15.7387f, 4.8664f, 15.7387f)
                curveTo(4.5497f, 15.7387f, 4.2547f, 15.6804f, 3.9814f, 15.5637f)
                curveTo(3.7114f, 15.447f, 3.4764f, 15.2787f, 3.2764f, 15.0587f)
                curveTo(3.0764f, 14.8354f, 2.9197f, 14.562f, 2.8064f, 14.2387f)
                curveTo(2.6931f, 13.9154f, 2.6364f, 13.547f, 2.6364f, 13.1337f)
                curveTo(2.6364f, 12.757f, 2.6881f, 12.4087f, 2.7914f, 12.0887f)
                curveTo(2.8981f, 11.7687f, 3.0514f, 11.4937f, 3.2514f, 11.2637f)
                curveTo(3.4547f, 11.0304f, 3.7031f, 10.8487f, 3.9964f, 10.7187f)
                curveTo(4.2931f, 10.5887f, 4.6331f, 10.5237f, 5.0164f, 10.5237f)
                curveTo(5.3731f, 10.5237f, 5.6864f, 10.582f, 5.9564f, 10.6987f)
                curveTo(6.2297f, 10.812f, 6.4714f, 10.9737f, 6.6814f, 11.1837f)
                lineTo(6.4464f, 11.5037f)
                close()
                moveTo(9.5439f, 10.5237f)
                curveTo(9.9139f, 10.5237f, 10.2472f, 10.5854f, 10.5439f, 10.7087f)
                curveTo(10.8406f, 10.832f, 11.0939f, 11.007f, 11.3039f, 11.2337f)
                curveTo(11.5139f, 11.4604f, 11.6739f, 11.7354f, 11.7839f, 12.0587f)
                curveTo(11.8972f, 12.3787f, 11.9539f, 12.737f, 11.9539f, 13.1337f)
                curveTo(11.9539f, 13.5337f, 11.8972f, 13.8937f, 11.7839f, 14.2137f)
                curveTo(11.6739f, 14.5337f, 11.5139f, 14.807f, 11.3039f, 15.0337f)
                curveTo(11.0939f, 15.2604f, 10.8406f, 15.4354f, 10.5439f, 15.5587f)
                curveTo(10.2472f, 15.6787f, 9.9139f, 15.7387f, 9.5439f, 15.7387f)
                curveTo(9.1706f, 15.7387f, 8.8339f, 15.6787f, 8.5339f, 15.5587f)
                curveTo(8.2372f, 15.4354f, 7.9839f, 15.2604f, 7.7739f, 15.0337f)
                curveTo(7.5639f, 14.807f, 7.4022f, 14.5337f, 7.2889f, 14.2137f)
                curveTo(7.1789f, 13.8937f, 7.1239f, 13.5337f, 7.1239f, 13.1337f)
                curveTo(7.1239f, 12.737f, 7.1789f, 12.3787f, 7.2889f, 12.0587f)
                curveTo(7.4022f, 11.7354f, 7.5639f, 11.4604f, 7.7739f, 11.2337f)
                curveTo(7.9839f, 11.007f, 8.2372f, 10.832f, 8.5339f, 10.7087f)
                curveTo(8.8339f, 10.5854f, 9.1706f, 10.5237f, 9.5439f, 10.5237f)
                close()
                moveTo(9.5439f, 15.0437f)
                curveTo(10.0439f, 15.0437f, 10.4172f, 14.877f, 10.6639f, 14.5437f)
                curveTo(10.9106f, 14.207f, 11.0339f, 13.7387f, 11.0339f, 13.1387f)
                curveTo(11.0339f, 12.5354f, 10.9106f, 12.0654f, 10.6639f, 11.7287f)
                curveTo(10.4172f, 11.392f, 10.0439f, 11.2237f, 9.5439f, 11.2237f)
                curveTo(9.2906f, 11.2237f, 9.0689f, 11.267f, 8.8789f, 11.3537f)
                curveTo(8.6922f, 11.4404f, 8.5356f, 11.5654f, 8.4089f, 11.7287f)
                curveTo(8.2856f, 11.892f, 8.1922f, 12.0937f, 8.1289f, 12.3337f)
                curveTo(8.0689f, 12.5704f, 8.0389f, 12.8387f, 8.0389f, 13.1387f)
                curveTo(8.0389f, 13.7387f, 8.1622f, 14.207f, 8.4089f, 14.5437f)
                curveTo(8.6589f, 14.877f, 9.0372f, 15.0437f, 9.5439f, 15.0437f)
                close()
                moveTo(15.8327f, 11.4387f)
                curveTo(15.7927f, 11.512f, 15.7311f, 11.5487f, 15.6477f, 11.5487f)
                curveTo(15.5977f, 11.5487f, 15.5411f, 11.5304f, 15.4777f, 11.4937f)
                curveTo(15.4144f, 11.457f, 15.3361f, 11.417f, 15.2427f, 11.3737f)
                curveTo(15.1527f, 11.327f, 15.0444f, 11.2854f, 14.9177f, 11.2487f)
                curveTo(14.7911f, 11.2087f, 14.6411f, 11.1887f, 14.4677f, 11.1887f)
                curveTo(14.3177f, 11.1887f, 14.1827f, 11.2087f, 14.0627f, 11.2487f)
                curveTo(13.9427f, 11.2854f, 13.8394f, 11.337f, 13.7527f, 11.4037f)
                curveTo(13.6694f, 11.4704f, 13.6044f, 11.5487f, 13.5577f, 11.6387f)
                curveTo(13.5144f, 11.7254f, 13.4927f, 11.8204f, 13.4927f, 11.9237f)
                curveTo(13.4927f, 12.0537f, 13.5294f, 12.162f, 13.6027f, 12.2487f)
                curveTo(13.6794f, 12.3354f, 13.7794f, 12.4104f, 13.9027f, 12.4737f)
                curveTo(14.0261f, 12.537f, 14.1661f, 12.5937f, 14.3227f, 12.6437f)
                curveTo(14.4794f, 12.6904f, 14.6394f, 12.742f, 14.8027f, 12.7987f)
                curveTo(14.9694f, 12.852f, 15.1311f, 12.912f, 15.2877f, 12.9787f)
                curveTo(15.4444f, 13.0454f, 15.5844f, 13.1287f, 15.7077f, 13.2287f)
                curveTo(15.8311f, 13.3287f, 15.9294f, 13.452f, 16.0027f, 13.5987f)
                curveTo(16.0794f, 13.742f, 16.1177f, 13.9154f, 16.1177f, 14.1187f)
                curveTo(16.1177f, 14.352f, 16.0761f, 14.5687f, 15.9927f, 14.7687f)
                curveTo(15.9094f, 14.9654f, 15.7861f, 15.137f, 15.6227f, 15.2837f)
                curveTo(15.4594f, 15.427f, 15.2594f, 15.5404f, 15.0227f, 15.6237f)
                curveTo(14.7861f, 15.707f, 14.5127f, 15.7487f, 14.2027f, 15.7487f)
                curveTo(13.8494f, 15.7487f, 13.5294f, 15.692f, 13.2427f, 15.5787f)
                curveTo(12.9561f, 15.462f, 12.7127f, 15.3137f, 12.5127f, 15.1337f)
                lineTo(12.7227f, 14.7937f)
                curveTo(12.7494f, 14.7504f, 12.7811f, 14.717f, 12.8177f, 14.6937f)
                curveTo(12.8544f, 14.6704f, 12.9011f, 14.6587f, 12.9577f, 14.6587f)
                curveTo(13.0177f, 14.6587f, 13.0811f, 14.682f, 13.1477f, 14.7287f)
                curveTo(13.2144f, 14.7754f, 13.2944f, 14.827f, 13.3877f, 14.8837f)
                curveTo(13.4844f, 14.9404f, 13.6011f, 14.992f, 13.7377f, 15.0387f)
                curveTo(13.8744f, 15.0854f, 14.0444f, 15.1087f, 14.2477f, 15.1087f)
                curveTo(14.4211f, 15.1087f, 14.5727f, 15.087f, 14.7027f, 15.0437f)
                curveTo(14.8327f, 14.997f, 14.9411f, 14.9354f, 15.0277f, 14.8587f)
                curveTo(15.1144f, 14.782f, 15.1777f, 14.6937f, 15.2177f, 14.5937f)
                curveTo(15.2611f, 14.4937f, 15.2827f, 14.387f, 15.2827f, 14.2737f)
                curveTo(15.2827f, 14.1337f, 15.2444f, 14.0187f, 15.1677f, 13.9287f)
                curveTo(15.0944f, 13.8354f, 14.9961f, 13.757f, 14.8727f, 13.6937f)
                curveTo(14.7494f, 13.627f, 14.6077f, 13.5704f, 14.4477f, 13.5237f)
                curveTo(14.2911f, 13.4737f, 14.1294f, 13.422f, 13.9627f, 13.3687f)
                curveTo(13.7994f, 13.3154f, 13.6377f, 13.2554f, 13.4777f, 13.1887f)
                curveTo(13.3211f, 13.1187f, 13.1811f, 13.032f, 13.0577f, 12.9287f)
                curveTo(12.9344f, 12.8254f, 12.8344f, 12.6987f, 12.7577f, 12.5487f)
                curveTo(12.6844f, 12.3954f, 12.6477f, 12.2104f, 12.6477f, 11.9937f)
                curveTo(12.6477f, 11.8004f, 12.6877f, 11.6154f, 12.7677f, 11.4387f)
                curveTo(12.8477f, 11.2587f, 12.9644f, 11.102f, 13.1177f, 10.9687f)
                curveTo(13.2711f, 10.832f, 13.4594f, 10.7237f, 13.6827f, 10.6437f)
                curveTo(13.9061f, 10.5637f, 14.1611f, 10.5237f, 14.4477f, 10.5237f)
                curveTo(14.7811f, 10.5237f, 15.0794f, 10.577f, 15.3427f, 10.6837f)
                curveTo(15.6094f, 10.787f, 15.8394f, 10.9304f, 16.0327f, 11.1137f)
                lineTo(15.8327f, 11.4387f)
                close()
                moveTo(16.8539f, 9.1837f)
                horizontalLineTo(19.0939f)
                verticalLineTo(9.6637f)
                horizontalLineTo(16.8539f)
                verticalLineTo(9.1837f)
                close()
                moveTo(22.2688f, 10.7437f)
                verticalLineTo(11.1687f)
                horizontalLineTo(20.2338f)
                verticalLineTo(10.7437f)
                horizontalLineTo(20.9688f)
                verticalLineTo(8.5437f)
                lineTo(20.9938f, 8.3237f)
                lineTo(20.4538f, 8.7687f)
                curveTo(20.4238f, 8.792f, 20.3938f, 8.807f, 20.3638f, 8.8137f)
                curveTo(20.3371f, 8.817f, 20.3104f, 8.817f, 20.2838f, 8.8137f)
                curveTo(20.2571f, 8.807f, 20.2321f, 8.797f, 20.2088f, 8.7837f)
                curveTo(20.1888f, 8.7704f, 20.1738f, 8.757f, 20.1638f, 8.7437f)
                lineTo(19.9688f, 8.4637f)
                lineTo(21.0788f, 7.5137f)
                horizontalLineTo(21.6188f)
                verticalLineTo(10.7437f)
                horizontalLineTo(22.2688f)
                close()
            }
        }
        .build()
        return _arCos!!
    }

private var _arCos: ImageVector? = null
