/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.ArSin: ImageVector
    get() {
        if (_arSin != null) {
            return _arSin!!
        }
        _arSin = Builder(name = "ArSin", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0628f, 11.4387f)
                curveTo(7.0228f, 11.512f, 6.9612f, 11.5487f, 6.8778f, 11.5487f)
                curveTo(6.8278f, 11.5487f, 6.7712f, 11.5304f, 6.7078f, 11.4937f)
                curveTo(6.6445f, 11.457f, 6.5662f, 11.417f, 6.4728f, 11.3737f)
                curveTo(6.3828f, 11.327f, 6.2745f, 11.2854f, 6.1478f, 11.2487f)
                curveTo(6.0212f, 11.2087f, 5.8712f, 11.1887f, 5.6978f, 11.1887f)
                curveTo(5.5478f, 11.1887f, 5.4128f, 11.2087f, 5.2928f, 11.2487f)
                curveTo(5.1728f, 11.2854f, 5.0695f, 11.337f, 4.9828f, 11.4037f)
                curveTo(4.8995f, 11.4704f, 4.8345f, 11.5487f, 4.7878f, 11.6387f)
                curveTo(4.7445f, 11.7254f, 4.7228f, 11.8204f, 4.7228f, 11.9237f)
                curveTo(4.7228f, 12.0537f, 4.7595f, 12.162f, 4.8328f, 12.2487f)
                curveTo(4.9095f, 12.3354f, 5.0095f, 12.4104f, 5.1328f, 12.4737f)
                curveTo(5.2561f, 12.537f, 5.3962f, 12.5937f, 5.5528f, 12.6437f)
                curveTo(5.7095f, 12.6904f, 5.8695f, 12.742f, 6.0328f, 12.7987f)
                curveTo(6.1995f, 12.852f, 6.3611f, 12.912f, 6.5178f, 12.9787f)
                curveTo(6.6745f, 13.0454f, 6.8145f, 13.1287f, 6.9378f, 13.2287f)
                curveTo(7.0612f, 13.3287f, 7.1595f, 13.452f, 7.2328f, 13.5987f)
                curveTo(7.3095f, 13.742f, 7.3478f, 13.9154f, 7.3478f, 14.1187f)
                curveTo(7.3478f, 14.352f, 7.3061f, 14.5687f, 7.2228f, 14.7687f)
                curveTo(7.1395f, 14.9654f, 7.0161f, 15.137f, 6.8528f, 15.2837f)
                curveTo(6.6895f, 15.427f, 6.4895f, 15.5404f, 6.2528f, 15.6237f)
                curveTo(6.0161f, 15.707f, 5.7428f, 15.7487f, 5.4328f, 15.7487f)
                curveTo(5.0795f, 15.7487f, 4.7595f, 15.692f, 4.4728f, 15.5787f)
                curveTo(4.1862f, 15.462f, 3.9428f, 15.3137f, 3.7428f, 15.1337f)
                lineTo(3.9528f, 14.7937f)
                curveTo(3.9795f, 14.7504f, 4.0111f, 14.717f, 4.0478f, 14.6937f)
                curveTo(4.0845f, 14.6704f, 4.1311f, 14.6587f, 4.1878f, 14.6587f)
                curveTo(4.2478f, 14.6587f, 4.3112f, 14.682f, 4.3778f, 14.7287f)
                curveTo(4.4445f, 14.7754f, 4.5245f, 14.827f, 4.6178f, 14.8837f)
                curveTo(4.7145f, 14.9404f, 4.8312f, 14.992f, 4.9678f, 15.0387f)
                curveTo(5.1045f, 15.0854f, 5.2745f, 15.1087f, 5.4778f, 15.1087f)
                curveTo(5.6512f, 15.1087f, 5.8028f, 15.087f, 5.9328f, 15.0437f)
                curveTo(6.0628f, 14.997f, 6.1712f, 14.9354f, 6.2578f, 14.8587f)
                curveTo(6.3445f, 14.782f, 6.4078f, 14.6937f, 6.4478f, 14.5937f)
                curveTo(6.4911f, 14.4937f, 6.5128f, 14.387f, 6.5128f, 14.2737f)
                curveTo(6.5128f, 14.1337f, 6.4745f, 14.0187f, 6.3978f, 13.9287f)
                curveTo(6.3245f, 13.8354f, 6.2262f, 13.757f, 6.1028f, 13.6937f)
                curveTo(5.9795f, 13.627f, 5.8378f, 13.5704f, 5.6778f, 13.5237f)
                curveTo(5.5212f, 13.4737f, 5.3595f, 13.422f, 5.1928f, 13.3687f)
                curveTo(5.0295f, 13.3154f, 4.8678f, 13.2554f, 4.7078f, 13.1887f)
                curveTo(4.5511f, 13.1187f, 4.4111f, 13.032f, 4.2878f, 12.9287f)
                curveTo(4.1645f, 12.8254f, 4.0645f, 12.6987f, 3.9878f, 12.5487f)
                curveTo(3.9145f, 12.3954f, 3.8778f, 12.2104f, 3.8778f, 11.9937f)
                curveTo(3.8778f, 11.8004f, 3.9178f, 11.6154f, 3.9978f, 11.4387f)
                curveTo(4.0778f, 11.2587f, 4.1945f, 11.102f, 4.3478f, 10.9687f)
                curveTo(4.5012f, 10.832f, 4.6895f, 10.7237f, 4.9128f, 10.6437f)
                curveTo(5.1361f, 10.5637f, 5.3911f, 10.5237f, 5.6778f, 10.5237f)
                curveTo(6.0111f, 10.5237f, 6.3095f, 10.577f, 6.5728f, 10.6837f)
                curveTo(6.8395f, 10.787f, 7.0695f, 10.9304f, 7.2628f, 11.1137f)
                lineTo(7.0628f, 11.4387f)
                close()
                moveTo(9.179f, 10.6037f)
                verticalLineTo(15.6687f)
                horizontalLineTo(8.289f)
                verticalLineTo(10.6037f)
                horizontalLineTo(9.179f)
                close()
                moveTo(9.369f, 9.0137f)
                curveTo(9.369f, 9.1004f, 9.3506f, 9.182f, 9.314f, 9.2587f)
                curveTo(9.2807f, 9.332f, 9.234f, 9.3987f, 9.174f, 9.4587f)
                curveTo(9.1173f, 9.5154f, 9.049f, 9.5604f, 8.969f, 9.5937f)
                curveTo(8.8923f, 9.627f, 8.8106f, 9.6437f, 8.724f, 9.6437f)
                curveTo(8.6373f, 9.6437f, 8.5556f, 9.627f, 8.479f, 9.5937f)
                curveTo(8.4057f, 9.5604f, 8.3406f, 9.5154f, 8.284f, 9.4587f)
                curveTo(8.2273f, 9.3987f, 8.1823f, 9.332f, 8.149f, 9.2587f)
                curveTo(8.1157f, 9.182f, 8.099f, 9.1004f, 8.099f, 9.0137f)
                curveTo(8.099f, 8.927f, 8.1157f, 8.8454f, 8.149f, 8.7687f)
                curveTo(8.1823f, 8.6887f, 8.2273f, 8.6204f, 8.284f, 8.5637f)
                curveTo(8.3406f, 8.5037f, 8.4057f, 8.457f, 8.479f, 8.4237f)
                curveTo(8.5556f, 8.3904f, 8.6373f, 8.3737f, 8.724f, 8.3737f)
                curveTo(8.8106f, 8.3737f, 8.8923f, 8.3904f, 8.969f, 8.4237f)
                curveTo(9.049f, 8.457f, 9.1173f, 8.5037f, 9.174f, 8.5637f)
                curveTo(9.234f, 8.6204f, 9.2807f, 8.6887f, 9.314f, 8.7687f)
                curveTo(9.3506f, 8.8454f, 9.369f, 8.927f, 9.369f, 9.0137f)
                close()
                moveTo(11.2813f, 11.3387f)
                curveTo(11.3913f, 11.2154f, 11.508f, 11.1037f, 11.6313f, 11.0037f)
                curveTo(11.7547f, 10.9037f, 11.8847f, 10.8187f, 12.0213f, 10.7487f)
                curveTo(12.1613f, 10.6754f, 12.308f, 10.6204f, 12.4613f, 10.5837f)
                curveTo(12.618f, 10.5437f, 12.7863f, 10.5237f, 12.9663f, 10.5237f)
                curveTo(13.243f, 10.5237f, 13.4863f, 10.5704f, 13.6963f, 10.6637f)
                curveTo(13.9097f, 10.7537f, 14.0863f, 10.8837f, 14.2263f, 11.0537f)
                curveTo(14.3697f, 11.2204f, 14.478f, 11.422f, 14.5513f, 11.6587f)
                curveTo(14.6247f, 11.8954f, 14.6613f, 12.157f, 14.6613f, 12.4437f)
                verticalLineTo(15.6687f)
                horizontalLineTo(13.7663f)
                verticalLineTo(12.4437f)
                curveTo(13.7663f, 12.0604f, 13.678f, 11.7637f, 13.5013f, 11.5537f)
                curveTo(13.328f, 11.3404f, 13.063f, 11.2337f, 12.7063f, 11.2337f)
                curveTo(12.443f, 11.2337f, 12.1963f, 11.297f, 11.9663f, 11.4237f)
                curveTo(11.7397f, 11.5504f, 11.5297f, 11.722f, 11.3363f, 11.9387f)
                verticalLineTo(15.6687f)
                horizontalLineTo(10.4413f)
                verticalLineTo(10.6037f)
                horizontalLineTo(10.9763f)
                curveTo(11.103f, 10.6037f, 11.1813f, 10.6654f, 11.2113f, 10.7887f)
                lineTo(11.2813f, 11.3387f)
                close()
                moveTo(15.6625f, 9.1837f)
                horizontalLineTo(17.9025f)
                verticalLineTo(9.6637f)
                horizontalLineTo(15.6625f)
                verticalLineTo(9.1837f)
                close()
                moveTo(21.0773f, 10.7437f)
                verticalLineTo(11.1687f)
                horizontalLineTo(19.0423f)
                verticalLineTo(10.7437f)
                horizontalLineTo(19.7773f)
                verticalLineTo(8.5437f)
                lineTo(19.8023f, 8.3237f)
                lineTo(19.2623f, 8.7687f)
                curveTo(19.2323f, 8.792f, 19.2023f, 8.807f, 19.1723f, 8.8137f)
                curveTo(19.1457f, 8.817f, 19.119f, 8.817f, 19.0923f, 8.8137f)
                curveTo(19.0657f, 8.807f, 19.0407f, 8.797f, 19.0173f, 8.7837f)
                curveTo(18.9973f, 8.7704f, 18.9823f, 8.757f, 18.9723f, 8.7437f)
                lineTo(18.7773f, 8.4637f)
                lineTo(19.8873f, 7.5137f)
                horizontalLineTo(20.4273f)
                verticalLineTo(10.7437f)
                horizontalLineTo(21.0773f)
                close()
            }
        }
        .build()
        return _arSin!!
    }

private var _arSin: ImageVector? = null
