/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.AcTan: ImageVector
    get() {
        if (_acTan != null) {
            return _acTan!!
        }
        _acTan = Builder(name = "AcTan", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.7547f, 15.7487f)
                curveTo(4.3547f, 15.7487f, 4.0464f, 15.637f, 3.8297f, 15.4137f)
                curveTo(3.6164f, 15.1904f, 3.5097f, 14.8687f, 3.5097f, 14.4487f)
                verticalLineTo(11.3487f)
                horizontalLineTo(2.8997f)
                curveTo(2.8464f, 11.3487f, 2.8014f, 11.3337f, 2.7647f, 11.3037f)
                curveTo(2.7281f, 11.2704f, 2.7097f, 11.2204f, 2.7097f, 11.1537f)
                verticalLineTo(10.7987f)
                lineTo(3.5397f, 10.6937f)
                lineTo(3.7447f, 9.1287f)
                curveTo(3.7547f, 9.0787f, 3.7764f, 9.0387f, 3.8097f, 9.0087f)
                curveTo(3.8464f, 8.9754f, 3.8931f, 8.9587f, 3.9497f, 8.9587f)
                horizontalLineTo(4.3997f)
                verticalLineTo(10.7037f)
                horizontalLineTo(5.8647f)
                verticalLineTo(11.3487f)
                horizontalLineTo(4.3997f)
                verticalLineTo(14.3887f)
                curveTo(4.3997f, 14.602f, 4.4514f, 14.7604f, 4.5547f, 14.8637f)
                curveTo(4.6581f, 14.967f, 4.7914f, 15.0187f, 4.9547f, 15.0187f)
                curveTo(5.0481f, 15.0187f, 5.1281f, 15.007f, 5.1947f, 14.9837f)
                curveTo(5.2647f, 14.957f, 5.3247f, 14.9287f, 5.3747f, 14.8987f)
                curveTo(5.4247f, 14.8687f, 5.4664f, 14.842f, 5.4997f, 14.8187f)
                curveTo(5.5364f, 14.792f, 5.5681f, 14.7787f, 5.5947f, 14.7787f)
                curveTo(5.6414f, 14.7787f, 5.6831f, 14.807f, 5.7197f, 14.8637f)
                lineTo(5.9797f, 15.2887f)
                curveTo(5.8264f, 15.432f, 5.6414f, 15.5454f, 5.4247f, 15.6287f)
                curveTo(5.2081f, 15.7087f, 4.9847f, 15.7487f, 4.7547f, 15.7487f)
                close()
                moveTo(9.3287f, 13.3887f)
                curveTo(8.9187f, 13.402f, 8.5687f, 13.4354f, 8.2787f, 13.4887f)
                curveTo(7.992f, 13.5387f, 7.757f, 13.6054f, 7.5737f, 13.6887f)
                curveTo(7.3937f, 13.772f, 7.262f, 13.8704f, 7.1787f, 13.9837f)
                curveTo(7.0987f, 14.097f, 7.0587f, 14.2237f, 7.0587f, 14.3637f)
                curveTo(7.0587f, 14.497f, 7.0804f, 14.612f, 7.1237f, 14.7087f)
                curveTo(7.167f, 14.8054f, 7.2254f, 14.8854f, 7.2987f, 14.9487f)
                curveTo(7.3754f, 15.0087f, 7.4637f, 15.0537f, 7.5637f, 15.0837f)
                curveTo(7.667f, 15.1104f, 7.777f, 15.1237f, 7.8937f, 15.1237f)
                curveTo(8.0504f, 15.1237f, 8.1937f, 15.1087f, 8.3237f, 15.0787f)
                curveTo(8.4537f, 15.0454f, 8.5754f, 14.9987f, 8.6887f, 14.9387f)
                curveTo(8.8054f, 14.8787f, 8.9154f, 14.807f, 9.0187f, 14.7237f)
                curveTo(9.1254f, 14.6404f, 9.2287f, 14.5454f, 9.3287f, 14.4387f)
                verticalLineTo(13.3887f)
                close()
                moveTo(6.4537f, 11.3187f)
                curveTo(6.7337f, 11.0487f, 7.0354f, 10.847f, 7.3587f, 10.7137f)
                curveTo(7.682f, 10.5804f, 8.0404f, 10.5137f, 8.4337f, 10.5137f)
                curveTo(8.717f, 10.5137f, 8.9687f, 10.5604f, 9.1887f, 10.6537f)
                curveTo(9.4087f, 10.747f, 9.5937f, 10.877f, 9.7437f, 11.0437f)
                curveTo(9.8937f, 11.2104f, 10.007f, 11.412f, 10.0837f, 11.6487f)
                curveTo(10.1604f, 11.8854f, 10.1987f, 12.1454f, 10.1987f, 12.4287f)
                verticalLineTo(15.6687f)
                horizontalLineTo(9.8037f)
                curveTo(9.717f, 15.6687f, 9.6504f, 15.6554f, 9.6037f, 15.6287f)
                curveTo(9.557f, 15.5987f, 9.5204f, 15.542f, 9.4937f, 15.4587f)
                lineTo(9.3937f, 14.9787f)
                curveTo(9.2604f, 15.102f, 9.1304f, 15.212f, 9.0037f, 15.3087f)
                curveTo(8.877f, 15.402f, 8.7437f, 15.482f, 8.6037f, 15.5487f)
                curveTo(8.4637f, 15.612f, 8.3137f, 15.6604f, 8.1537f, 15.6937f)
                curveTo(7.997f, 15.7304f, 7.822f, 15.7487f, 7.6287f, 15.7487f)
                curveTo(7.432f, 15.7487f, 7.247f, 15.722f, 7.0737f, 15.6687f)
                curveTo(6.9004f, 15.612f, 6.7487f, 15.5287f, 6.6187f, 15.4187f)
                curveTo(6.492f, 15.3087f, 6.3904f, 15.1704f, 6.3137f, 15.0037f)
                curveTo(6.2404f, 14.8337f, 6.2037f, 14.6337f, 6.2037f, 14.4037f)
                curveTo(6.2037f, 14.2037f, 6.2587f, 14.012f, 6.3687f, 13.8287f)
                curveTo(6.4787f, 13.642f, 6.657f, 13.477f, 6.9037f, 13.3337f)
                curveTo(7.1504f, 13.1904f, 7.472f, 13.0737f, 7.8687f, 12.9837f)
                curveTo(8.2654f, 12.8904f, 8.752f, 12.837f, 9.3287f, 12.8237f)
                verticalLineTo(12.4287f)
                curveTo(9.3287f, 12.0354f, 9.2437f, 11.7387f, 9.0737f, 11.5387f)
                curveTo(8.9037f, 11.3354f, 8.6554f, 11.2337f, 8.3287f, 11.2337f)
                curveTo(8.1087f, 11.2337f, 7.9237f, 11.262f, 7.7737f, 11.3187f)
                curveTo(7.627f, 11.372f, 7.4987f, 11.4337f, 7.3887f, 11.5037f)
                curveTo(7.282f, 11.5704f, 7.1887f, 11.632f, 7.1087f, 11.6887f)
                curveTo(7.032f, 11.742f, 6.9554f, 11.7687f, 6.8787f, 11.7687f)
                curveTo(6.8187f, 11.7687f, 6.767f, 11.7537f, 6.7237f, 11.7237f)
                curveTo(6.6804f, 11.6904f, 6.6437f, 11.6504f, 6.6137f, 11.6037f)
                lineTo(6.4537f, 11.3187f)
                close()
                moveTo(12.1944f, 11.3387f)
                curveTo(12.3044f, 11.2154f, 12.4211f, 11.1037f, 12.5444f, 11.0037f)
                curveTo(12.6677f, 10.9037f, 12.7977f, 10.8187f, 12.9344f, 10.7487f)
                curveTo(13.0744f, 10.6754f, 13.2211f, 10.6204f, 13.3744f, 10.5837f)
                curveTo(13.5311f, 10.5437f, 13.6994f, 10.5237f, 13.8794f, 10.5237f)
                curveTo(14.1561f, 10.5237f, 14.3994f, 10.5704f, 14.6094f, 10.6637f)
                curveTo(14.8227f, 10.7537f, 14.9994f, 10.8837f, 15.1394f, 11.0537f)
                curveTo(15.2827f, 11.2204f, 15.3911f, 11.422f, 15.4644f, 11.6587f)
                curveTo(15.5377f, 11.8954f, 15.5744f, 12.157f, 15.5744f, 12.4437f)
                verticalLineTo(15.6687f)
                horizontalLineTo(14.6794f)
                verticalLineTo(12.4437f)
                curveTo(14.6794f, 12.0604f, 14.5911f, 11.7637f, 14.4144f, 11.5537f)
                curveTo(14.2411f, 11.3404f, 13.9761f, 11.2337f, 13.6194f, 11.2337f)
                curveTo(13.3561f, 11.2337f, 13.1094f, 11.297f, 12.8794f, 11.4237f)
                curveTo(12.6527f, 11.5504f, 12.4427f, 11.722f, 12.2494f, 11.9387f)
                verticalLineTo(15.6687f)
                horizontalLineTo(11.3544f)
                verticalLineTo(10.6037f)
                horizontalLineTo(11.8894f)
                curveTo(12.0161f, 10.6037f, 12.0944f, 10.6654f, 12.1244f, 10.7887f)
                lineTo(12.1944f, 11.3387f)
                close()
                moveTo(16.5756f, 9.1837f)
                horizontalLineTo(18.8156f)
                verticalLineTo(9.6637f)
                horizontalLineTo(16.5756f)
                verticalLineTo(9.1837f)
                close()
                moveTo(21.9904f, 10.7437f)
                verticalLineTo(11.1687f)
                horizontalLineTo(19.9554f)
                verticalLineTo(10.7437f)
                horizontalLineTo(20.6904f)
                verticalLineTo(8.5437f)
                lineTo(20.7154f, 8.3237f)
                lineTo(20.1754f, 8.7687f)
                curveTo(20.1454f, 8.792f, 20.1154f, 8.807f, 20.0854f, 8.8137f)
                curveTo(20.0588f, 8.817f, 20.0321f, 8.817f, 20.0054f, 8.8137f)
                curveTo(19.9788f, 8.807f, 19.9538f, 8.797f, 19.9304f, 8.7837f)
                curveTo(19.9104f, 8.7704f, 19.8954f, 8.757f, 19.8854f, 8.7437f)
                lineTo(19.6904f, 8.4637f)
                lineTo(20.8004f, 7.5137f)
                horizontalLineTo(21.3404f)
                verticalLineTo(10.7437f)
                horizontalLineTo(21.9904f)
                close()
            }
        }
        .build()
        return _acTan!!
    }

private var _acTan: ImageVector? = null
