/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.Cos: ImageVector
    get() {
        if (_cos != null) {
            return _cos!!
        }
        _cos = Builder(name = "Cos", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.5863f, 11.5037f)
                curveTo(9.5596f, 11.5404f, 9.5329f, 11.5687f, 9.5063f, 11.5887f)
                curveTo(9.4796f, 11.6087f, 9.4429f, 11.6187f, 9.3962f, 11.6187f)
                curveTo(9.3462f, 11.6187f, 9.2913f, 11.5987f, 9.2312f, 11.5587f)
                curveTo(9.1713f, 11.5154f, 9.0962f, 11.4687f, 9.0063f, 11.4187f)
                curveTo(8.9196f, 11.3687f, 8.8112f, 11.3237f, 8.6812f, 11.2837f)
                curveTo(8.5546f, 11.2404f, 8.3979f, 11.2187f, 8.2113f, 11.2187f)
                curveTo(7.9612f, 11.2187f, 7.7413f, 11.2637f, 7.5512f, 11.3537f)
                curveTo(7.3612f, 11.4404f, 7.2013f, 11.567f, 7.0712f, 11.7337f)
                curveTo(6.9446f, 11.9004f, 6.8479f, 12.102f, 6.7813f, 12.3387f)
                curveTo(6.7179f, 12.5754f, 6.6863f, 12.8404f, 6.6863f, 13.1337f)
                curveTo(6.6863f, 13.4404f, 6.7213f, 13.7137f, 6.7913f, 13.9537f)
                curveTo(6.8612f, 14.1904f, 6.9596f, 14.3904f, 7.0862f, 14.5537f)
                curveTo(7.2162f, 14.7137f, 7.3713f, 14.837f, 7.5512f, 14.9237f)
                curveTo(7.7346f, 15.007f, 7.9396f, 15.0487f, 8.1663f, 15.0487f)
                curveTo(8.3829f, 15.0487f, 8.5612f, 15.0237f, 8.7013f, 14.9737f)
                curveTo(8.8413f, 14.9204f, 8.9563f, 14.862f, 9.0463f, 14.7987f)
                curveTo(9.1396f, 14.7354f, 9.2163f, 14.6787f, 9.2762f, 14.6287f)
                curveTo(9.3396f, 14.5754f, 9.4012f, 14.5487f, 9.4613f, 14.5487f)
                curveTo(9.5346f, 14.5487f, 9.5913f, 14.577f, 9.6313f, 14.6337f)
                lineTo(9.8813f, 14.9587f)
                curveTo(9.7712f, 15.0954f, 9.6462f, 15.212f, 9.5063f, 15.3087f)
                curveTo(9.3663f, 15.4054f, 9.2146f, 15.487f, 9.0513f, 15.5537f)
                curveTo(8.8912f, 15.617f, 8.7229f, 15.6637f, 8.5463f, 15.6937f)
                curveTo(8.3696f, 15.7237f, 8.1896f, 15.7387f, 8.0063f, 15.7387f)
                curveTo(7.6896f, 15.7387f, 7.3946f, 15.6804f, 7.1213f, 15.5637f)
                curveTo(6.8513f, 15.447f, 6.6163f, 15.2787f, 6.4163f, 15.0587f)
                curveTo(6.2162f, 14.8354f, 6.0596f, 14.562f, 5.9462f, 14.2387f)
                curveTo(5.8329f, 13.9154f, 5.7762f, 13.547f, 5.7762f, 13.1337f)
                curveTo(5.7762f, 12.757f, 5.8279f, 12.4087f, 5.9313f, 12.0887f)
                curveTo(6.0379f, 11.7687f, 6.1912f, 11.4937f, 6.3913f, 11.2637f)
                curveTo(6.5946f, 11.0304f, 6.8429f, 10.8487f, 7.1363f, 10.7187f)
                curveTo(7.4329f, 10.5887f, 7.7729f, 10.5237f, 8.1563f, 10.5237f)
                curveTo(8.5129f, 10.5237f, 8.8263f, 10.582f, 9.0962f, 10.6987f)
                curveTo(9.3696f, 10.812f, 9.6112f, 10.9737f, 9.8212f, 11.1837f)
                lineTo(9.5863f, 11.5037f)
                close()
                moveTo(12.6838f, 10.5237f)
                curveTo(13.0538f, 10.5237f, 13.3871f, 10.5854f, 13.6838f, 10.7087f)
                curveTo(13.9804f, 10.832f, 14.2338f, 11.007f, 14.4438f, 11.2337f)
                curveTo(14.6538f, 11.4604f, 14.8138f, 11.7354f, 14.9238f, 12.0587f)
                curveTo(15.0371f, 12.3787f, 15.0938f, 12.737f, 15.0938f, 13.1337f)
                curveTo(15.0938f, 13.5337f, 15.0371f, 13.8937f, 14.9238f, 14.2137f)
                curveTo(14.8138f, 14.5337f, 14.6538f, 14.807f, 14.4438f, 15.0337f)
                curveTo(14.2338f, 15.2604f, 13.9804f, 15.4354f, 13.6838f, 15.5587f)
                curveTo(13.3871f, 15.6787f, 13.0538f, 15.7387f, 12.6838f, 15.7387f)
                curveTo(12.3104f, 15.7387f, 11.9738f, 15.6787f, 11.6738f, 15.5587f)
                curveTo(11.3771f, 15.4354f, 11.1238f, 15.2604f, 10.9138f, 15.0337f)
                curveTo(10.7038f, 14.807f, 10.5421f, 14.5337f, 10.4288f, 14.2137f)
                curveTo(10.3188f, 13.8937f, 10.2638f, 13.5337f, 10.2638f, 13.1337f)
                curveTo(10.2638f, 12.737f, 10.3188f, 12.3787f, 10.4288f, 12.0587f)
                curveTo(10.5421f, 11.7354f, 10.7038f, 11.4604f, 10.9138f, 11.2337f)
                curveTo(11.1238f, 11.007f, 11.3771f, 10.832f, 11.6738f, 10.7087f)
                curveTo(11.9738f, 10.5854f, 12.3104f, 10.5237f, 12.6838f, 10.5237f)
                close()
                moveTo(12.6838f, 15.0437f)
                curveTo(13.1838f, 15.0437f, 13.5571f, 14.877f, 13.8038f, 14.5437f)
                curveTo(14.0504f, 14.207f, 14.1738f, 13.7387f, 14.1738f, 13.1387f)
                curveTo(14.1738f, 12.5354f, 14.0504f, 12.0654f, 13.8038f, 11.7287f)
                curveTo(13.5571f, 11.392f, 13.1838f, 11.2237f, 12.6838f, 11.2237f)
                curveTo(12.4304f, 11.2237f, 12.2088f, 11.267f, 12.0188f, 11.3537f)
                curveTo(11.8321f, 11.4404f, 11.6754f, 11.5654f, 11.5488f, 11.7287f)
                curveTo(11.4254f, 11.892f, 11.3321f, 12.0937f, 11.2688f, 12.3337f)
                curveTo(11.2088f, 12.5704f, 11.1788f, 12.8387f, 11.1788f, 13.1387f)
                curveTo(11.1788f, 13.7387f, 11.3021f, 14.207f, 11.5488f, 14.5437f)
                curveTo(11.7988f, 14.877f, 12.1771f, 15.0437f, 12.6838f, 15.0437f)
                close()
                moveTo(18.9726f, 11.4387f)
                curveTo(18.9326f, 11.512f, 18.8709f, 11.5487f, 18.7876f, 11.5487f)
                curveTo(18.7376f, 11.5487f, 18.6809f, 11.5304f, 18.6176f, 11.4937f)
                curveTo(18.5542f, 11.457f, 18.4759f, 11.417f, 18.3826f, 11.3737f)
                curveTo(18.2926f, 11.327f, 18.1842f, 11.2854f, 18.0576f, 11.2487f)
                curveTo(17.9309f, 11.2087f, 17.7809f, 11.1887f, 17.6076f, 11.1887f)
                curveTo(17.4576f, 11.1887f, 17.3226f, 11.2087f, 17.2026f, 11.2487f)
                curveTo(17.0826f, 11.2854f, 16.9792f, 11.337f, 16.8926f, 11.4037f)
                curveTo(16.8092f, 11.4704f, 16.7442f, 11.5487f, 16.6976f, 11.6387f)
                curveTo(16.6542f, 11.7254f, 16.6326f, 11.8204f, 16.6326f, 11.9237f)
                curveTo(16.6326f, 12.0537f, 16.6692f, 12.162f, 16.7426f, 12.2487f)
                curveTo(16.8192f, 12.3354f, 16.9192f, 12.4104f, 17.0426f, 12.4737f)
                curveTo(17.1659f, 12.537f, 17.3059f, 12.5937f, 17.4626f, 12.6437f)
                curveTo(17.6192f, 12.6904f, 17.7792f, 12.742f, 17.9426f, 12.7987f)
                curveTo(18.1092f, 12.852f, 18.2709f, 12.912f, 18.4276f, 12.9787f)
                curveTo(18.5842f, 13.0454f, 18.7242f, 13.1287f, 18.8476f, 13.2287f)
                curveTo(18.9709f, 13.3287f, 19.0692f, 13.452f, 19.1426f, 13.5987f)
                curveTo(19.2192f, 13.742f, 19.2576f, 13.9154f, 19.2576f, 14.1187f)
                curveTo(19.2576f, 14.352f, 19.2159f, 14.5687f, 19.1326f, 14.7687f)
                curveTo(19.0492f, 14.9654f, 18.9259f, 15.137f, 18.7626f, 15.2837f)
                curveTo(18.5992f, 15.427f, 18.3992f, 15.5404f, 18.1626f, 15.6237f)
                curveTo(17.9259f, 15.707f, 17.6526f, 15.7487f, 17.3426f, 15.7487f)
                curveTo(16.9892f, 15.7487f, 16.6692f, 15.692f, 16.3826f, 15.5787f)
                curveTo(16.0959f, 15.462f, 15.8526f, 15.3137f, 15.6526f, 15.1337f)
                lineTo(15.8626f, 14.7937f)
                curveTo(15.8892f, 14.7504f, 15.9209f, 14.717f, 15.9576f, 14.6937f)
                curveTo(15.9942f, 14.6704f, 16.0409f, 14.6587f, 16.0976f, 14.6587f)
                curveTo(16.1576f, 14.6587f, 16.2209f, 14.682f, 16.2876f, 14.7287f)
                curveTo(16.3542f, 14.7754f, 16.4342f, 14.827f, 16.5276f, 14.8837f)
                curveTo(16.6242f, 14.9404f, 16.7409f, 14.992f, 16.8776f, 15.0387f)
                curveTo(17.0142f, 15.0854f, 17.1842f, 15.1087f, 17.3876f, 15.1087f)
                curveTo(17.5609f, 15.1087f, 17.7126f, 15.087f, 17.8426f, 15.0437f)
                curveTo(17.9726f, 14.997f, 18.0809f, 14.9354f, 18.1676f, 14.8587f)
                curveTo(18.2542f, 14.782f, 18.3176f, 14.6937f, 18.3576f, 14.5937f)
                curveTo(18.4009f, 14.4937f, 18.4226f, 14.387f, 18.4226f, 14.2737f)
                curveTo(18.4226f, 14.1337f, 18.3842f, 14.0187f, 18.3076f, 13.9287f)
                curveTo(18.2342f, 13.8354f, 18.1359f, 13.757f, 18.0126f, 13.6937f)
                curveTo(17.8892f, 13.627f, 17.7476f, 13.5704f, 17.5876f, 13.5237f)
                curveTo(17.4309f, 13.4737f, 17.2692f, 13.422f, 17.1026f, 13.3687f)
                curveTo(16.9392f, 13.3154f, 16.7776f, 13.2554f, 16.6176f, 13.1887f)
                curveTo(16.4609f, 13.1187f, 16.3209f, 13.032f, 16.1976f, 12.9287f)
                curveTo(16.0742f, 12.8254f, 15.9742f, 12.6987f, 15.8976f, 12.5487f)
                curveTo(15.8242f, 12.3954f, 15.7876f, 12.2104f, 15.7876f, 11.9937f)
                curveTo(15.7876f, 11.8004f, 15.8276f, 11.6154f, 15.9076f, 11.4387f)
                curveTo(15.9876f, 11.2587f, 16.1042f, 11.102f, 16.2576f, 10.9687f)
                curveTo(16.4109f, 10.832f, 16.5992f, 10.7237f, 16.8226f, 10.6437f)
                curveTo(17.0459f, 10.5637f, 17.3009f, 10.5237f, 17.5876f, 10.5237f)
                curveTo(17.9209f, 10.5237f, 18.2192f, 10.577f, 18.4826f, 10.6837f)
                curveTo(18.7492f, 10.787f, 18.9792f, 10.9304f, 19.1726f, 11.1137f)
                lineTo(18.9726f, 11.4387f)
                close()
            }
        }
        .build()
        return _cos!!
    }

private var _cos: ImageVector? = null
