/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.Divide: ImageVector
    get() {
        if (_divide != null) {
            return _divide!!
        }
        _divide = Builder(name = "Divide", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.3341f, 9.1747f)
                curveTo(11.3341f, 9.0824f, 11.35f, 8.9964f, 11.3818f, 8.9169f)
                curveTo(11.4168f, 8.8341f, 11.463f, 8.7625f, 11.5203f, 8.7021f)
                curveTo(11.5807f, 8.6416f, 11.6508f, 8.5939f, 11.7303f, 8.5589f)
                curveTo(11.8131f, 8.5239f, 11.9006f, 8.5063f, 11.9929f, 8.5063f)
                curveTo(12.0851f, 8.5063f, 12.1711f, 8.5239f, 12.2506f, 8.5589f)
                curveTo(12.3334f, 8.5939f, 12.405f, 8.6416f, 12.4654f, 8.7021f)
                curveTo(12.5259f, 8.7625f, 12.5736f, 8.8341f, 12.6087f, 8.9169f)
                curveTo(12.6437f, 8.9964f, 12.6612f, 9.0824f, 12.6612f, 9.1747f)
                curveTo(12.6612f, 9.2701f, 12.6437f, 9.3576f, 12.6087f, 9.4372f)
                curveTo(12.5736f, 9.5168f, 12.5259f, 9.5868f, 12.4654f, 9.6472f)
                curveTo(12.405f, 9.7077f, 12.3334f, 9.7538f, 12.2506f, 9.7857f)
                curveTo(12.1711f, 9.8207f, 12.0851f, 9.8382f, 11.9929f, 9.8382f)
                curveTo(11.9006f, 9.8382f, 11.8131f, 9.8207f, 11.7303f, 9.7857f)
                curveTo(11.6508f, 9.7538f, 11.5807f, 9.7077f, 11.5203f, 9.6472f)
                curveTo(11.463f, 9.5868f, 11.4168f, 9.5168f, 11.3818f, 9.4372f)
                curveTo(11.35f, 9.3576f, 11.3341f, 9.2701f, 11.3341f, 9.1747f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.3341f, 15.1678f)
                curveTo(11.3341f, 15.0755f, 11.35f, 14.9896f, 11.3818f, 14.91f)
                curveTo(11.4168f, 14.8273f, 11.463f, 14.7557f, 11.5203f, 14.6952f)
                curveTo(11.5807f, 14.6348f, 11.6508f, 14.587f, 11.7303f, 14.552f)
                curveTo(11.8131f, 14.517f, 11.9006f, 14.4995f, 11.9929f, 14.4995f)
                curveTo(12.0851f, 14.4995f, 12.1711f, 14.517f, 12.2506f, 14.552f)
                curveTo(12.3334f, 14.587f, 12.405f, 14.6348f, 12.4654f, 14.6952f)
                curveTo(12.5259f, 14.7557f, 12.5736f, 14.8273f, 12.6087f, 14.91f)
                curveTo(12.6437f, 14.9896f, 12.6612f, 15.0755f, 12.6612f, 15.1678f)
                curveTo(12.6612f, 15.2633f, 12.6437f, 15.3508f, 12.6087f, 15.4304f)
                curveTo(12.5736f, 15.5099f, 12.5259f, 15.5799f, 12.4654f, 15.6404f)
                curveTo(12.405f, 15.7009f, 12.3334f, 15.747f, 12.2506f, 15.7788f)
                curveTo(12.1711f, 15.8138f, 12.0851f, 15.8313f, 11.9929f, 15.8313f)
                curveTo(11.9006f, 15.8313f, 11.8131f, 15.8138f, 11.7303f, 15.7788f)
                curveTo(11.6508f, 15.747f, 11.5807f, 15.7009f, 11.5203f, 15.6404f)
                curveTo(11.463f, 15.5799f, 11.4168f, 15.5099f, 11.3818f, 15.4304f)
                curveTo(11.35f, 15.3508f, 11.3341f, 15.2633f, 11.3341f, 15.1678f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.1948f, 11.5505f)
                horizontalLineTo(15.8052f)
                verticalLineTo(12.5494f)
                horizontalLineTo(8.1948f)
                verticalLineTo(11.5505f)
                close()
            }
        }
        .build()
        return _divide!!
    }

private var _divide: ImageVector? = null
