/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.KeyC: ImageVector
    get() {
        if (_keyC != null) {
            return _keyC!!
        }
        _keyC = Builder(name = "KeyC", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.1052f, 14.1887f)
                curveTo(15.1585f, 14.1887f, 15.2052f, 14.2104f, 15.2452f, 14.2537f)
                lineTo(15.6302f, 14.6687f)
                curveTo(15.3368f, 15.0087f, 14.9802f, 15.2737f, 14.5602f, 15.4637f)
                curveTo(14.1435f, 15.6537f, 13.6385f, 15.7487f, 13.0452f, 15.7487f)
                curveTo(12.5318f, 15.7487f, 12.0652f, 15.6604f, 11.6452f, 15.4837f)
                curveTo(11.2252f, 15.3037f, 10.8668f, 15.0537f, 10.5702f, 14.7337f)
                curveTo(10.2735f, 14.4104f, 10.0435f, 14.0237f, 9.8802f, 13.5737f)
                curveTo(9.7168f, 13.1237f, 9.6352f, 12.6287f, 9.6352f, 12.0887f)
                curveTo(9.6352f, 11.5487f, 9.7202f, 11.0537f, 9.8902f, 10.6037f)
                curveTo(10.0602f, 10.1537f, 10.2985f, 9.767f, 10.6052f, 9.4437f)
                curveTo(10.9152f, 9.1204f, 11.2852f, 8.8704f, 11.7152f, 8.6937f)
                curveTo(12.1452f, 8.5137f, 12.6202f, 8.4237f, 13.1402f, 8.4237f)
                curveTo(13.6502f, 8.4237f, 14.1002f, 8.5054f, 14.4902f, 8.6687f)
                curveTo(14.8802f, 8.832f, 15.2235f, 9.0537f, 15.5202f, 9.3337f)
                lineTo(15.2002f, 9.7787f)
                curveTo(15.1802f, 9.812f, 15.1535f, 9.8404f, 15.1202f, 9.8637f)
                curveTo(15.0902f, 9.8837f, 15.0485f, 9.8937f, 14.9952f, 9.8937f)
                curveTo(14.9352f, 9.8937f, 14.8618f, 9.862f, 14.7752f, 9.7987f)
                curveTo(14.6885f, 9.732f, 14.5752f, 9.6587f, 14.4352f, 9.5787f)
                curveTo(14.2952f, 9.4987f, 14.1202f, 9.427f, 13.9102f, 9.3637f)
                curveTo(13.7002f, 9.297f, 13.4418f, 9.2637f, 13.1352f, 9.2637f)
                curveTo(12.7652f, 9.2637f, 12.4268f, 9.3287f, 12.1202f, 9.4587f)
                curveTo(11.8135f, 9.5854f, 11.5485f, 9.7704f, 11.3252f, 10.0137f)
                curveTo(11.1052f, 10.257f, 10.9335f, 10.5537f, 10.8102f, 10.9037f)
                curveTo(10.6868f, 11.2537f, 10.6252f, 11.6487f, 10.6252f, 12.0887f)
                curveTo(10.6252f, 12.5354f, 10.6885f, 12.9337f, 10.8152f, 13.2837f)
                curveTo(10.9452f, 13.6337f, 11.1202f, 13.9304f, 11.3402f, 14.1737f)
                curveTo(11.5635f, 14.4137f, 11.8252f, 14.597f, 12.1252f, 14.7237f)
                curveTo(12.4285f, 14.8504f, 12.7552f, 14.9137f, 13.1052f, 14.9137f)
                curveTo(13.3185f, 14.9137f, 13.5102f, 14.902f, 13.6802f, 14.8787f)
                curveTo(13.8535f, 14.852f, 14.0118f, 14.812f, 14.1552f, 14.7587f)
                curveTo(14.3018f, 14.7054f, 14.4368f, 14.6387f, 14.5602f, 14.5587f)
                curveTo(14.6868f, 14.4754f, 14.8118f, 14.377f, 14.9352f, 14.2637f)
                curveTo(14.9918f, 14.2137f, 15.0485f, 14.1887f, 15.1052f, 14.1887f)
                close()
            }
        }
        .build()
        return _keyC!!
    }

private var _keyC: ImageVector? = null
