/*
 * Unitto is a unit converter for Android
 * Copyright (c) 2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.sadellie.unitto.core.ui.common.icons.iconpack

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.sadellie.unitto.core.ui.common.icons.IconPack

@Suppress("UnusedReceiverParameter")
val IconPack.Rad: ImageVector
    get() {
        if (_rad != null) {
            return _rad!!
        }
        _rad = Builder(name = "Rad", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.2777f, 11.9737f)
                curveTo(5.5577f, 11.9737f, 5.8044f, 11.9404f, 6.0177f, 11.8737f)
                curveTo(6.2344f, 11.8037f, 6.4144f, 11.707f, 6.5577f, 11.5837f)
                curveTo(6.7044f, 11.457f, 6.8144f, 11.307f, 6.8877f, 11.1337f)
                curveTo(6.9611f, 10.9604f, 6.9977f, 10.7687f, 6.9977f, 10.5587f)
                curveTo(6.9977f, 10.132f, 6.8577f, 9.8104f, 6.5777f, 9.5937f)
                curveTo(6.2977f, 9.377f, 5.8777f, 9.2687f, 5.3177f, 9.2687f)
                horizontalLineTo(4.2577f)
                verticalLineTo(11.9737f)
                horizontalLineTo(5.2777f)
                close()
                moveTo(8.5877f, 15.6687f)
                horizontalLineTo(7.7277f)
                curveTo(7.5511f, 15.6687f, 7.4211f, 15.6004f, 7.3377f, 15.4637f)
                lineTo(5.4777f, 12.9037f)
                curveTo(5.4211f, 12.8237f, 5.3594f, 12.767f, 5.2927f, 12.7337f)
                curveTo(5.2294f, 12.697f, 5.1294f, 12.6787f, 4.9927f, 12.6787f)
                horizontalLineTo(4.2577f)
                verticalLineTo(15.6687f)
                horizontalLineTo(3.2927f)
                verticalLineTo(8.5037f)
                horizontalLineTo(5.3177f)
                curveTo(5.7711f, 8.5037f, 6.1627f, 8.5504f, 6.4927f, 8.6437f)
                curveTo(6.8227f, 8.7337f, 7.0944f, 8.8654f, 7.3077f, 9.0387f)
                curveTo(7.5244f, 9.212f, 7.6844f, 9.422f, 7.7877f, 9.6687f)
                curveTo(7.8911f, 9.912f, 7.9427f, 10.1854f, 7.9427f, 10.4887f)
                curveTo(7.9427f, 10.742f, 7.9027f, 10.9787f, 7.8227f, 11.1987f)
                curveTo(7.7427f, 11.4187f, 7.6261f, 11.617f, 7.4727f, 11.7937f)
                curveTo(7.3227f, 11.967f, 7.1377f, 12.1154f, 6.9177f, 12.2387f)
                curveTo(6.7011f, 12.362f, 6.4544f, 12.4554f, 6.1777f, 12.5187f)
                curveTo(6.3011f, 12.5887f, 6.4077f, 12.6904f, 6.4977f, 12.8237f)
                lineTo(8.5877f, 15.6687f)
                close()
                moveTo(13.1673f, 13.0087f)
                lineTo(12.0423f, 10.0937f)
                curveTo(12.0089f, 10.007f, 11.9739f, 9.907f, 11.9373f, 9.7937f)
                curveTo(11.9006f, 9.677f, 11.8656f, 9.5537f, 11.8323f, 9.4237f)
                curveTo(11.7623f, 9.6937f, 11.6906f, 9.9187f, 11.6173f, 10.0987f)
                lineTo(10.4923f, 13.0087f)
                horizontalLineTo(13.1673f)
                close()
                moveTo(15.1873f, 15.6687f)
                horizontalLineTo(14.4373f)
                curveTo(14.3506f, 15.6687f, 14.2806f, 15.647f, 14.2273f, 15.6037f)
                curveTo(14.1739f, 15.5604f, 14.1339f, 15.5054f, 14.1073f, 15.4387f)
                lineTo(13.4373f, 13.7087f)
                horizontalLineTo(10.2223f)
                lineTo(9.5523f, 15.4387f)
                curveTo(9.5323f, 15.4987f, 9.4939f, 15.552f, 9.4373f, 15.5987f)
                curveTo(9.3806f, 15.6454f, 9.3106f, 15.6687f, 9.2273f, 15.6687f)
                horizontalLineTo(8.4773f)
                lineTo(11.3423f, 8.5037f)
                horizontalLineTo(12.3223f)
                lineTo(15.1873f, 15.6687f)
                close()
                moveTo(22.1398f, 12.0887f)
                curveTo(22.1398f, 12.6254f, 22.0548f, 13.1137f, 21.8848f, 13.5537f)
                curveTo(21.7148f, 13.9937f, 21.4748f, 14.3704f, 21.1648f, 14.6837f)
                curveTo(20.8548f, 14.997f, 20.4815f, 15.2404f, 20.0448f, 15.4137f)
                curveTo(19.6115f, 15.5837f, 19.1315f, 15.6687f, 18.6048f, 15.6687f)
                horizontalLineTo(15.9298f)
                verticalLineTo(8.5037f)
                horizontalLineTo(18.6048f)
                curveTo(19.1315f, 8.5037f, 19.6115f, 8.5904f, 20.0448f, 8.7637f)
                curveTo(20.4815f, 8.9337f, 20.8548f, 9.177f, 21.1648f, 9.4937f)
                curveTo(21.4748f, 9.807f, 21.7148f, 10.1837f, 21.8848f, 10.6237f)
                curveTo(22.0548f, 11.0637f, 22.1398f, 11.552f, 22.1398f, 12.0887f)
                close()
                moveTo(21.1448f, 12.0887f)
                curveTo(21.1448f, 11.6487f, 21.0848f, 11.2554f, 20.9648f, 10.9087f)
                curveTo(20.8448f, 10.562f, 20.6748f, 10.2687f, 20.4548f, 10.0287f)
                curveTo(20.2348f, 9.7887f, 19.9682f, 9.6054f, 19.6548f, 9.4787f)
                curveTo(19.3415f, 9.352f, 18.9915f, 9.2887f, 18.6048f, 9.2887f)
                horizontalLineTo(16.8998f)
                verticalLineTo(14.8837f)
                horizontalLineTo(18.6048f)
                curveTo(18.9915f, 14.8837f, 19.3415f, 14.8204f, 19.6548f, 14.6937f)
                curveTo(19.9682f, 14.567f, 20.2348f, 14.3854f, 20.4548f, 14.1487f)
                curveTo(20.6748f, 13.9087f, 20.8448f, 13.6154f, 20.9648f, 13.2687f)
                curveTo(21.0848f, 12.922f, 21.1448f, 12.5287f, 21.1448f, 12.0887f)
                close()
            }
        }
        .build()
        return _rad!!
    }

private var _rad: ImageVector? = null
